List Fields

Query Options

Filtering, searching, and sorting supported by the list endpoint

  • Use search to match field names.
  • Use filters[] to filter by supported field properties. The developer fields list currently supports the type filter.
  • Use sorting[] to control sort order. If you do not provide sorting, fields are ordered by created_at.
  • The response is not paginated.
GET
/v1/workspaces/:workspace/fields

List custom fields for a workspace

Path parameters

workspacestring Required

ID of your workspace

Request body

searchstring

Query parameter used to search by field name

filters[]array

Query parameter containing JSON-encoded filter objects. Supported filter `id` values currently include `type`.

sorting[]array

Query parameter containing JSON-encoded sort descriptors

List Fields
curl "https://api.leadpush.io/v1/workspaces/:workspace/fields" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {token}"
Search and Filter Fields
curl "https://api.leadpush.io/v1/workspaces/:workspace/fields?search=company&filters[]=%7B%22id%22%3A%22type%22%2C%22value%22%3A%22text%22%7D&sorting[]=%7B%22id%22%3A%22created_at%22%2C%22desc%22%3Afalse%7D" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {token}"
Response Example
{
"data": [
  {
    "uuid": "<field_uuid>",
    "name": "company_name",
    "type": "text",
    "format": {
      "text": "url",
      "pattern": null,
      "iso_format": null
    },
    "created_at": "2021-01-01T00:00:00.000Z"
  }
]
}